| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LT3965.cpp File Reference
Switching Regulators, Battery Chargers, and LED Drivers » LT3965: Octal Matrix LED Bypass Switch

Library for LT3965 Octal Matrix LED Bypass Switch. More...

## Detailed Description

Library for LT3965 Octal Matrix LED Bypass Switch.

Definition in file LT3965.cpp.

Go to the source code of this file.

## Functions
int8_t | i2c_acwrite (uint8_t address, uint8_t value)
| ACMODE Write Command to write a "value" byte to device at "address". More...
int8_t | i2c_acread (uint8_t address, uint8_t *values)
| ACMODE Read Command to read 3 data bytes from device at "address". More...
int8_t | i2c_scwriteshort (uint8_t address, uint8_t channel, uint8_t data_SCMREG)
| SCMODE Write Command Short Format to write a "value" byte to device at "address". More...
int8_t | i2c_scwritelong (uint8_t address, uint8_t channel, uint8_t data_SCMREG, uint8_t dimming_value)
| SCMODE Write Command Long Format to write 2 "value" bytes to device at "address". More...
int8_t | i2c_scwriteshort_scread (uint8_t address, uint8_t channel, uint8_t data_SCMREG, uint8_t *values)
| SCMODE Write Short + SCMODE Read Command. More...
int8_t | i2c_bcread (uint8_t *value)
| BCMODE Read Command. More...

## Function Documentation

## ◆ i2c_acread()

int8_t i2c_acread | ( | uint8_t | address,
|  | uint8_t * | values
| ) |  |

ACMODE Read Command to read 3 data bytes from device at "address".

Definition at line 83 of file LT3965.cpp.

## ◆ i2c_acwrite()

int8_t i2c_acwrite | ( | uint8_t | address,
|  | uint8_t | value
| ) |  |

ACMODE Write Command to write a "value" byte to device at "address".

Definition at line 73 of file LT3965.cpp.

## ◆ i2c_bcread()

int8_t i2c_bcread | ( | uint8_t * | value | ) |

BCMODE Read Command.

Definition at line 135 of file LT3965.cpp.

## ◆ i2c_scwritelong()

int8_t i2c_scwritelong | ( | uint8_t | address,
|  | uint8_t | channel,
|  | uint8_t | data_SCMREG,
|  | uint8_t | dimming_value
| ) |  |

SCMODE Write Command Long Format to write 2 "value" bytes to device at "address".

Definition at line 107 of file LT3965.cpp.

## ◆ i2c_scwriteshort()

int8_t i2c_scwriteshort | ( | uint8_t | address,
|  | uint8_t | channel,
|  | uint8_t | data_SCMREG
| ) |  |

SCMODE Write Command Short Format to write a "value" byte to device at "address".

Definition at line 93 of file LT3965.cpp.

## ◆ i2c_scwriteshort_scread()

int8_t i2c_scwriteshort_scread | ( | uint8_t | address,
|  | uint8_t | channel,
|  | uint8_t | data_SCMREG,
|  | uint8_t * | values
| ) |  |

SCMODE Write Short + SCMODE Read Command.

Definition at line 121 of file LT3965.cpp.